Page MenuHomePhabricator

Request to throttle account creation limit for Hong Kong Tutorial
Closed, ResolvedPublic

Description

A Wikipedia editing tutorial in Hong Kong is coming tomorrow. We need to throttle the account creation limit in case that attendees forget to create their own accounts so that we can create accounts for them.
Throttle rule:

  • From: 2018-02-24 05:00 UTC
  • To: 2018-02-24 10:00 UTC
  • IP: 58.177.143.26
  • Projects: 'enwiki', 'zhwiki', 'zh_yuewiki', 'commons'
  • New limit: 50

Details

Related Gerrit Patches:
operations/mediawiki-config : masterDefine new throttle rule

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptFeb 23 2018, 11:42 AM
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald Transcript
springrollconan triaged this task as High priority.Feb 23 2018, 11:51 AM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptFeb 23 2018, 11:51 AM
Urbanecm added a subscriber: Urbanecm.

Ok :)

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptFeb 23 2018, 12:01 PM

But please, in future requests, create those requests at least a week in advance, otherwise we cannot guarantee that all required processes at our side will be completed before your event. BTW this is lifting of existing throttling (limiting), which defaults to 6 accounts per day, not creating throttling, but this is just to mention proper terminology ;).

Change 413713 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Define new throttle rule

https://gerrit.wikimedia.org/r/413713

Change 413713 merged by jenkins-bot:
[operations/mediawiki-config@master] Define new throttle rule

https://gerrit.wikimedia.org/r/413713

Mentioned in SAL (#wikimedia-operations) [2018-02-23T12:28:10Z] <hashar@tin> Synchronized wmf-config/throttle.php: Define new throttle rule - T188090 (duration: 01m 11s)

Urbanecm closed this task as Resolved.Feb 23 2018, 12:29 PM

Done. But please be warned that your future last minute requests will be declined! Unscheduled deployment can break things.

Liuxinyu970226 moved this task from Backlog to Closed on the Chinese-Sites board.Feb 25 2018, 2:39 AM